cascading.flow.planner.graph

## Class DecoratedElementGraph

- java.lang.Object
- - cascading.flow.planner.graph.DecoratedElementGraph

All Implemented Interfaces:
  ElementGraph

Direct Known Subclasses:
  AnnotatedDecoratedElementGraph, IgnoresAnnotationsElementGraph

    public class DecoratedElementGraph
    extends java.lang.Object
    implements ElementGraph

### Constructor Summary

Constructors
Constructor and Description
`DecoratedElementGraph(ElementGraph decorated)`

### Method Summary

Methods
`Scope` `addEdge(FlowElement sourceVertex, FlowElement targetVertex)`
`boolean` `addEdge(FlowElement sourceVertex, FlowElement targetVertex, Scope scope)`
`boolean` `addHeadVertex(FlowElement flowElement)`
`boolean` `addTailVertex(FlowElement flowElement)`
`boolean` `addVertex(FlowElement flowElement)`
`ElementGraph` `bindExtents()`
`boolean` `containsEdge(FlowElement sourceVertex, FlowElement targetVertex)`
`boolean` `containsEdge(Scope scope)`
`boolean` `containsVertex(FlowElement flowElement)`
`ElementGraph` `copyElementGraph()`
`java.util.Set<Scope>` `edgeSet()`
`java.util.Set<Scope>` `edgesOf(FlowElement vertex)`
`boolean` `equals(java.lang.Object object)`
`java.util.Set<Scope>` `getAllEdges(FlowElement sourceVertex, FlowElement targetVertex)`
`ElementGraph` `getDecorated()`
`Scope` `getEdge(FlowElement sourceVertex, FlowElement targetVertex)`
`FlowElement` `getEdgeSource(Scope scope)`
`FlowElement` `getEdgeTarget(Scope scope)`
`int` `hashCode()`
`java.util.Set<Scope>` `incomingEdgesOf(FlowElement vertex)`
`int` `inDegreeOf(FlowElement vertex)`
`int` `outDegreeOf(FlowElement vertex)`
`java.util.Set<Scope>` `outgoingEdgesOf(FlowElement vertex)`
`java.util.List<FlowElement>` `predecessorListOf(FlowElement flowElement)`
`boolean` `removeAllEdges(java.util.Collection<? extends Scope> edges)`
`java.util.Set<Scope>` `removeAllEdges(FlowElement sourceVertex, FlowElement targetVertex)`
`boolean` `removeAllVertices(java.util.Collection<? extends FlowElement> vertices)`
`Scope` `removeEdge(FlowElement sourceVertex, FlowElement targetVertex)`
`boolean` `removeEdge(Scope scope)`
`boolean` `removeVertex(FlowElement flowElement)`
`java.util.List<FlowElement>` `successorListOf(FlowElement flowElement)`
`java.util.Set<FlowElement>` `vertexSet()` Returns an immutable identity based Set.
`java.util.Set<FlowElement>` `vertexSetCopy()` Returns a copy of `ElementGraph.vertexSet()` as an identity based Set suitable for modifying.
`void` `writeDOT(java.lang.String filename)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecoratedElementGraph

    public DecoratedElementGraph(ElementGraph decorated)

### Method Detail

#### getDecorated

    public ElementGraph getDecorated()

#### copyElementGraph

    public ElementGraph copyElementGraph()

Specified by:
  `copyElementGraph` in interface `ElementGraph`

#### bindExtents

    public ElementGraph bindExtents()

Specified by:
  `bindExtents` in interface `ElementGraph`

#### writeDOT

    public void writeDOT(java.lang.String filename)

Specified by:
  `writeDOT` in interface `ElementGraph`

#### inDegreeOf

    public int inDegreeOf(FlowElement vertex)

Specified by:
  `inDegreeOf` in interface `ElementGraph`

#### incomingEdgesOf

    public java.util.Set<Scope> incomingEdgesOf(FlowElement vertex)

Specified by:
  `incomingEdgesOf` in interface `ElementGraph`

#### outDegreeOf

    public int outDegreeOf(FlowElement vertex)

Specified by:
  `outDegreeOf` in interface `ElementGraph`

#### outgoingEdgesOf

    public java.util.Set<Scope> outgoingEdgesOf(FlowElement vertex)

Specified by:
  `outgoingEdgesOf` in interface `ElementGraph`

#### predecessorListOf

    public java.util.List<FlowElement> predecessorListOf(FlowElement flowElement)

Specified by:
  `predecessorListOf` in interface `ElementGraph`

#### successorListOf

    public java.util.List<FlowElement> successorListOf(FlowElement flowElement)

Specified by:
  `successorListOf` in interface `ElementGraph`

#### getAllEdges

    public java.util.Set<Scope> getAllEdges(FlowElement sourceVertex,
                                   FlowElement targetVertex)

Specified by:
  `getAllEdges` in interface `ElementGraph`

#### getEdge

    public Scope getEdge(FlowElement sourceVertex,
                FlowElement targetVertex)

Specified by:
  `getEdge` in interface `ElementGraph`

#### addEdge

    public Scope addEdge(FlowElement sourceVertex,
                FlowElement targetVertex)

Specified by:
  `addEdge` in interface `ElementGraph`

#### addEdge

    public boolean addEdge(FlowElement sourceVertex,
                  FlowElement targetVertex,
                  Scope scope)

Specified by:
  `addEdge` in interface `ElementGraph`

#### addHeadVertex

    public boolean addHeadVertex(FlowElement flowElement)

Specified by:
  `addHeadVertex` in interface `ElementGraph`

#### addTailVertex

    public boolean addTailVertex(FlowElement flowElement)

Specified by:
  `addTailVertex` in interface `ElementGraph`

#### addVertex

    public boolean addVertex(FlowElement flowElement)

Specified by:
  `addVertex` in interface `ElementGraph`

#### containsEdge

    public boolean containsEdge(FlowElement sourceVertex,
                       FlowElement targetVertex)

Specified by:
  `containsEdge` in interface `ElementGraph`

#### containsEdge

    public boolean containsEdge(Scope scope)

Specified by:
  `containsEdge` in interface `ElementGraph`

#### containsVertex

    public boolean containsVertex(FlowElement flowElement)

Specified by:
  `containsVertex` in interface `ElementGraph`

#### edgeSet

    public java.util.Set<Scope> edgeSet()

Specified by:
  `edgeSet` in interface `ElementGraph`

#### edgesOf

    public java.util.Set<Scope> edgesOf(FlowElement vertex)

Specified by:
  `edgesOf` in interface `ElementGraph`

#### removeAllEdges

    public boolean removeAllEdges(java.util.Collection<? extends Scope> edges)

Specified by:
  `removeAllEdges` in interface `ElementGraph`

#### removeAllEdges

    public java.util.Set<Scope> removeAllEdges(FlowElement sourceVertex,
                                      FlowElement targetVertex)

Specified by:
  `removeAllEdges` in interface `ElementGraph`

#### removeAllVertices

    public boolean removeAllVertices(java.util.Collection<? extends FlowElement> vertices)

Specified by:
  `removeAllVertices` in interface `ElementGraph`

#### removeEdge

    public Scope removeEdge(FlowElement sourceVertex,
                   FlowElement targetVertex)

Specified by:
  `removeEdge` in interface `ElementGraph`

#### removeEdge

    public boolean removeEdge(Scope scope)

Specified by:
  `removeEdge` in interface `ElementGraph`

#### removeVertex

    public boolean removeVertex(FlowElement flowElement)

Specified by:
  `removeVertex` in interface `ElementGraph`

#### vertexSet

    public java.util.Set<FlowElement> vertexSet()

Description copied from interface: `ElementGraph`
Returns an immutable identity based Set.

Specified by:
  `vertexSet` in interface `ElementGraph`
Returns:

#### vertexSetCopy

    public java.util.Set<FlowElement> vertexSetCopy()

Description copied from interface: `ElementGraph`
Returns a copy of `ElementGraph.vertexSet()` as an identity based Set suitable for modifying.

Specified by:
  `vertexSetCopy` in interface `ElementGraph`
Returns:

#### getEdgeSource

    public FlowElement getEdgeSource(Scope scope)

Specified by:
  `getEdgeSource` in interface `ElementGraph`

#### getEdgeTarget

    public FlowElement getEdgeTarget(Scope scope)

Specified by:
  `getEdgeTarget` in interface `ElementGraph`

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`